All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection.platform
Class PlatformConnectionFactoryConfiguration

    com.sas.services.connection.platform.PlatformConnectionFactoryConfiguration

All Implemented Interfaces:
  java.lang.Cloneable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public final class PlatformConnectionFactoryConfiguration

A connection factory configuration that describes a server or a pool of servers to connect to using meta data in the BIP Information Service.

Field Summary
`static java.lang.String` | `PRIVILEGED_USER_NAME_KEY` This string can be used as a key or attribute name in maps or map-like data structures such as a `SessionContextInterface` to store and retrieve the privileged user name.
`static java.lang.String` | `PROPERTYNAME_POOL_ADMIN` The session context key that will be used in `createWorkspaceServerFactoryConfiguration()` to look up the pool administrator name in the session context.

Constructor Summary
`PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer)` Construct a connection factory configuration using a logical server object from the information service.
`PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, java.lang.String privilegedUser)` Construct a connection factory configuration using a logical server object from the information service.
`PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, java.lang.String privilegedUser, UserServiceInterface userService)` Construct a connection factory configuration using a logical server object from the information service.
`PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, java.lang.String privilegedUser, UserServiceInterface userService, boolean monitorEnabled)` Deprecated. use PlatformConnectionFactoryConfiguration(LogicalServerInterface,String,UserServiceInterface)
`PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, UserContextInterface privilegedUserContext, UserServiceInterface userService, boolean monitorEnabled)` Construct a connection factory configuration using a logical server object from the information service.
`PlatformConnectionFactoryConfiguration(RepositoryInterface repository, java.lang.String repositoryID)` Construct a connection factory configuration using a repository object and ID from the user service.
`PlatformConnectionFactoryConfiguration(RepositoryInterface repository, java.lang.String repositoryID, java.lang.String privilegedUser)` Construct a connection factory configuration using a repository object and ID from the user service.
`PlatformConnectionFactoryConfiguration(RepositoryInterface repository, java.lang.String repositoryID, java.lang.String privilegedUser, UserServiceInterface userService)` Construct a connection factory configuration using a repository object and ID from the user service.
`PlatformConnectionFactoryConfiguration(RepositoryInterface repository, java.lang.String repositoryID, java.lang.String privilegedUser, UserServiceInterface userService, boolean monitorEnabled)` Deprecated. PlatformConnectionFactoryConfiguration(RepositoryInterface,String,String,UserServiceInterface)

Method Summary
`boolean` | `equals(java.lang.Object that)`
`protected java.lang.String` | `getCanonPrivUser()`
`protected RepositoryInterface` | `getCanonRepos()`
`protected java.lang.String` | `getCanonReposID()`
`protected java.lang.String` | `getCanonReposURL()`
`protected RepositoryInterface` | `getFoundationRepos()`
`LogicalServerInterface` | `getLogicalServer()` Get the logical server object.
`java.lang.String` | `getPrivilegedUser()` Get the name of the privileged user.
`UserContextInterface` | `getPrivilegedUserContext()` Get the context for the privileged user.
`protected UserContextInterface` | `getPrivUser()`
`RepositoryInterface` | `getRepository()` Get the repository.
`java.lang.String` | `getRepositoryID()` Get the repository ID.
`protected RepositoryInterface` | `getTargetRepos()`
`UserServiceInterface` | `getUserService()` Get the discovery service.
`int` | `hashCode()`
`boolean` | `isMonitorEnabled()` Deprecated.
`java.lang.String` | `toString()`

Methods inherited from class com.sas.services.connection.ConnectionFactoryConfiguration
`getKernel, getKernel, getKernelFromDelegate, kernelDestroyed`

Field Detail

### PRIVILEGED_USER_NAME_KEY

    public static final java.lang.String PRIVILEGED_USER_NAME_KEY

  This string can be used as a key or attribute name in maps or map-like data structures such as a `SessionContextInterface` to store and retrieve the privileged user name. Note that the privileged user name must be a `java.lang.String`. This attribute name is identical to `PROPERTYNAME_POOL_ADMIN`.

  See Also:
    `PROPERTYNAME_POOL_ADMIN`, Constant Field Values

### PROPERTYNAME_POOL_ADMIN

    public static final java.lang.String PROPERTYNAME_POOL_ADMIN

  The session context key that will be used in `createWorkspaceServerFactoryConfiguration()` to look up the pool administrator name in the session context. The name of a pool administrator should generally be provided whenever the value for `PROPERTYNAME_FACTORY_REQ_CLIENT_POOLING` or `PROPERTYNAME_FACTORY_PREF_CLIENT_POOLING` or `PROPERTYNAME_FACTORY_REQ_POOLING` is `TRUE`. The value is expected to be a `java.lang.String`. This attribute name is identical to `PRIVILEGED_USER_NAME_KEY`.

  See Also:
    `PRIVILEGED_USER_NAME_KEY`, `#createWorkspaceServerFactoryConfiguration(ServerContextInterface, SessionContextInterface, int)`, Constant Field Values

Constructor Detail

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer)

  Construct a connection factory configuration using a logical server object from the information service. The connection to the repository must have been made under the credentials of a user who is authorized to read all the elements of the logical server definition.

  Parameters:
    `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository,
                                                  java.lang.String repositoryID)

  Construct a connection factory configuration using a repository object and ID from the user service. The connection to the repository must have been made under the credentials of a user who is authorized to read all the elements of the logical server definition.

  The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

  Parameters:
    `repository` - a metadata repository that containg information about a server or group of servers
    `repositoryID` - a string that uniquely identifies the server or group of servers in the repository

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer,
                                                  java.lang.String privilegedUser)

  Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

  Parameters:
    `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
    `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository,
                                                  java.lang.String repositoryID,
                                                  java.lang.String privilegedUser)

  Construct a connection factory configuration using a repository object and ID from the user service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

  The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

  Parameters:
    `repository` - a metadata repository that containg information about a server or group of servers
    `repositoryID` - a string that uniquely identifies the server or group of servers in the repository
    `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer,
                                                  java.lang.String privilegedUser,
                                                  UserServiceInterface userService)

  Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

  Parameters:
    `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
    `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
    `userService` - the user service which will be used to resolve the privileged user name

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository,
                                                  java.lang.String repositoryID,
                                                  java.lang.String privilegedUser,
                                                  UserServiceInterface userService)

  Construct a connection factory configuration using a repository object and ID from the user service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

  The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

  Parameters:
    `repository` - a metadata repository that containg information about a server or group of servers
    `repositoryID` - a string that uniquely identifies the server or group of servers in the repository
    `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
    `userService` - the user service which will be used to resolve the privileged user name

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer,
                                                  java.lang.String privilegedUser,
                                                  UserServiceInterface userService,
                                                  boolean monitorEnabled)

  Deprecated. use PlatformConnectionFactoryConfiguration(LogicalServerInterface,String,UserServiceInterface)

  Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

  Parameters:
    `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
    `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
    `userService` - the user service which will be used to resolve the privileged user name
    `monitorEnabled` - ignored

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer,
                                                  UserContextInterface privilegedUserContext,
                                                  UserServiceInterface userService,
                                                  boolean monitorEnabled)

  Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. Object created with this contructor will be considered equal to objects constructed with the privileged user's name instead of the user context.

  Parameters:
    `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
    `privilegedUserContext` - the user context of a user who is authorized to read all elements of the logical server definition
    `userService` - the user service which will be used to resolve the privileged user name
    `monitorEnabled` - ignored

### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository,
                                                  java.lang.String repositoryID,
                                                  java.lang.String privilegedUser,
                                                  UserServiceInterface userService,
                                                  boolean monitorEnabled)

  Deprecated. PlatformConnectionFactoryConfiguration(RepositoryInterface,String,String,UserServiceInterface)

  Construct a connection factory configuration using a repository object and ID from the user service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

  The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

  Parameters:
    `repository` - a metadata repository that containg information about a server or group of servers
    `repositoryID` - a string that uniquely identifies the server or group of servers in the repository
    `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
    `userService` - the user service which will be used to resolve the privileged user name
    `monitorEnabled` - ignored

Method Detail

### getLogicalServer

    public LogicalServerInterface getLogicalServer()

  Get the logical server object.

  Returns:
    the logica server object

### getRepository

    public RepositoryInterface getRepository()

  Get the repository.

  Returns:
    the repository

### getRepositoryID

    public java.lang.String getRepositoryID()

  Get the repository ID.

  Returns:
    the repository ID

### getPrivilegedUser

    public java.lang.String getPrivilegedUser()

  Get the name of the privileged user.

  Returns:
    the name of the privileged user

### getPrivilegedUserContext

    public UserContextInterface getPrivilegedUserContext()

  Get the context for the privileged user.

  Returns:
    the context for the privileged user

### getUserService

    public UserServiceInterface getUserService()

  Get the discovery service.

  Returns:
    the discovery service

### isMonitorEnabled

    public boolean isMonitorEnabled()

  Deprecated.

  Always returns false.

  Returns:
    false

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `ConnectionFactoryConfiguration`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ConnectionFactoryConfiguration`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCanonRepos

    protected RepositoryInterface getCanonRepos()

### getCanonReposID

    protected java.lang.String getCanonReposID()

### getCanonReposURL

    protected java.lang.String getCanonReposURL()

### getCanonPrivUser

    protected java.lang.String getCanonPrivUser()

### getPrivUser

    protected UserContextInterface getPrivUser()
                                        throws ServiceException,
                                               java.rmi.RemoteException,
                                               ConnectionFactoryException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `ConnectionFactoryException`

### getTargetRepos

    protected RepositoryInterface getTargetRepos()

### getFoundationRepos

    protected RepositoryInterface getFoundationRepos()

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.